import { WebChannel } from './service/WebChannel';
/**
 * Wrapper class for `RTCDataChannel` and `WebSocket`.
 */
export declare class Channel {
    connection: WebSocket | RTCDataChannel;
    send: (data: Uint8Array) => void;
    isIntermediary: boolean;
    missedHeartbeat: number;
    /**
     * Id of the peer who is at the other end of this channel.
     */
    private _id;
    private rtcPeerConnection;
    private wc;
    private topologyHeartbeatMsg;
    private fullHeartbeatMsg;
    /**
     * Creates a channel from existing `RTCDataChannel` or `WebSocket`.
     */
    constructor(wc: WebChannel, connection: WebSocket | RTCDataChannel, options?: {
        rtcPeerConnection?: RTCPeerConnection;
        id: number;
    });
    id: number;
    markAsIntermediry(): void;
    close(): void;
    closeQuietly(): void;
    sendHeartbeat(): void;
    updateHeartbeatMsg(heartbeatMsg: any): void;
    private sendInBrowser(data);
    private sendInNodeViaWebSocket(data);
    private sendInNodeViaDataChannel(data);
}
